PLASMAENGINEEXPLO(1)

NAMN
plasmaengineexplorer - Ger direkt tillgång till Plasma datagränssnitt

SYNOPSIS

plasmaengineexplorer [-v, --version] [-h, --help] [--list] [--heightbildpunkter] [--widthbildpunkter] [-xbildpunkter] [-ybildpunkter] [--enginedatagränssnitt] [--sourcedatagränssnitt] [--intervalms] [--appprogram]

plasmaengineexplorer [Allmänna KDE-väljare] [Allmänna QT-väljare]

BESKRIVNING

plasmaengineexplorer är ett grafiskt verktyg som låter utvecklare testa Plasma datagränssnitt utan att skriva ett Plasma miniprogram.

Om inga väljare anges, startar det utan något datagränssnitt valt. Datagränssnittet som ska användas kan väljas från en lista i en kombinationsruta.

Bara installerade datagränssnitt hittas. kbuildsyoca4 kanske behöver köras för att nyinstallerade datagränssnitt ska hittas.

VÄLJARE

-v, --version
    Visar versionsinformation.

-h, --help
    visar den här hjälpen.

--list bildpunkter
    Visar en lista med alla kända gränssnitt och deras beskrivningar.

--height
    Ställer in fönstrets höjd i bildpunkter.

--width bildpunkter
    Ställer in fönstrets bredd i bildpunkter.

-x bildpunkter
    Ställer in x-koordinaten (den horisontella) för fönstrets övre vänstra hörn i bildpunkter.

-y bildpunkter
    Ställer in y-koordinaten (den vertikala) för fönstrets övre vänstra hörn i bildpunkter.

--engine datagränssnitt
    Starta plasmaengineexplorer med angivet datagränssnitt valt. datagränssnitt är datagränssnittets interna namn givet av nyckeln X-KDE-PluginInfo-Namn i skrivbordsfilen.

--source datagränssnitt
    Bara giltig tillsammans med --engine. Begär en specifik källa från datagränssnittet när plasmaengineexplorer startas.

--interval tid
    Ställer in förvalt uppdateringsintervall för begärda källor till tid millisekunder. Om det inte anges, kommer källan att uppdateras på begäran (för vissa källor är det när ny data är tillgänglig).

    Om --source anges, är detta uppdateringsintervallet som kommer att användas när den källan begärs.

--app program
    Visa bara gränssnitt som hör ihop med ett motsvarande program. Bestäms av posten X-KDE-ParentApp i datagränssnittets skrivbordsfil.

SE OCKSÅ

Mer detaljerad användardokumentation är tillgänglig med help:/plasma-desktop (skriv antingen in webbadressen i Konqueror, eller kör khelpcenter help:/plasma-desktop).

EXEMPEL

Ladda datagränssnittet time, som visar lokal tid och uppdateras varje sekund:

    plasmaengineexplorer --engine time --source Local --interval 1000

UPPHOVSMÄN

plasmaengineexplorer är skrivet av Aaron Seigo <aseigo@kde.org>.